Package org.eclipse.m2m.atl.debug.core

## Class AtlDebugModelConstants

- java.lang.Object
- - org.eclipse.m2m.atl.debug.core.AtlDebugModelConstants

    public final class AtlDebugModelConstants
    extends java.lang.Object

Common constants for debugging.

### Field Summary

Fields
`static java.lang.String` `ATL_DEBUG_MODEL_ID` ATL debug model identifier.
`static java.lang.String` `DEBUGTARGETNAME` Debug target name.
`static java.lang.String` `HOST` Host name.
`static java.lang.String` `KEY` key debug notation.
`static java.lang.String` `MAPELEMENT` map element debug notation.
`static java.lang.String` `NULL` null debug notation.
`static java.lang.String` `RUNTARGETNAME` Run target name.
`static java.lang.String` `THREADNAME` Thread name.
`static java.lang.String` `VALUE` value debug notation.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HOST

    public static final java.lang.String HOST

Host name.

See Also:
  Constant Field Values

#### DEBUGTARGETNAME

    public static final java.lang.String DEBUGTARGETNAME

Debug target name.

See Also:
  Constant Field Values

#### RUNTARGETNAME

    public static final java.lang.String RUNTARGETNAME

Run target name.

See Also:
  Constant Field Values

#### THREADNAME

    public static final java.lang.String THREADNAME

Thread name.

See Also:
  Constant Field Values

#### NULL

    public static final java.lang.String NULL

null debug notation.

See Also:
  Constant Field Values

#### KEY

    public static final java.lang.String KEY

key debug notation.

See Also:
  Constant Field Values

#### VALUE

    public static final java.lang.String VALUE

value debug notation.

See Also:
  Constant Field Values

#### MAPELEMENT

    public static final java.lang.String MAPELEMENT

map element debug notation.

See Also:
  Constant Field Values

#### ATL_DEBUG_MODEL_ID

    public static final java.lang.String ATL_DEBUG_MODEL_ID

ATL debug model identifier.

See Also:
  Constant Field Values